import { EventEmitter } from "@angular/core";
import { IconCacheService } from "../../../../../../../../service/icon-cache.service";
import { Icon } from "../../../../../../../../enum/icon.enum";
import { PlanOrderLine } from "@colijnit/transactionapi/build/model/plan-order-line.bo";
import { PlanOrder } from "@colijnit/transactionapi/build/model/plan-order.bo";
import { PlanningTask } from "@colijnit/transactionapi/build/model/planning-task-object.bo";
import { TransactionEventService } from "../../../../../../../../service/transaction-event.service";
export declare class DeliveryPlanningOverviewTileLineComponent {
    iconCacheService: IconCacheService;
    transactionEventService: TransactionEventService;
    readonly icons: typeof Icon;
    expanded: boolean;
    orderLines: boolean;
    viewMode: 'products' | 'tasks';
    order: PlanOrder;
    isActive: boolean;
    linesActive: boolean;
    deleteOrderEvent: EventEmitter<PlanOrder>;
    deleteOrderLineEvent: EventEmitter<{
        order: PlanOrder;
        line: PlanOrderLine;
    }>;
    editOrderEvent: EventEmitter<PlanOrder>;
    moveOrderUpEvent: EventEmitter<PlanOrder>;
    moveOrderDownEvent: EventEmitter<PlanOrder>;
    transactionClick: EventEmitter<string>;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, transactionEventService: TransactionEventService);
    handleDeleteOrderClick(order: PlanOrder): void;
    handleDeleteOrderLineClick(order: PlanOrder, line: PlanOrderLine): void;
    setLinesActive(): void;
    switchViewMode(mode: 'products' | 'tasks', event: Event): void;
    showOrderLines(event: Event): void;
    showNormalOrderLines(event: Event): void;
    getPlannedLines(lines: PlanOrderLine[]): PlanOrderLine[];
    getPlannedTasks(tasks: PlanningTask[]): PlanningTask[];
    handleEditOrderEvent(planOrder: PlanOrder): void;
    handleMoveOrderUp(): void;
    handleMoveOrderDown(): void;
    handleTransactionNavigationClick(event: Event, transNr: string): void;
    handleTransactionNavigation(transNr: string): void;
}
